%define upstream_name    Lingua-Stem-Snowball
%define upstream_version 0.952

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 7

Summary:	Perl interface to Snowball stemmers
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Lingua/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(ExtUtils::CBuilder)
BuildRequires:	perl(ExtUtils::ParseXS)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Module::Build::Compat)
BuildRequires:	perl-devel


%description
Stemming reduces related words to a common root form -- for instance,
"horse", "horses", and "horsing" all become "hors". Most commonly, stemming
is deployed as part of a search application, allowing searches for a given
term to match documents which contain other forms of that term.

This module is very similar to the Lingua::Stem manpage -- however,
Lingua::Stem is pure Perl, while Lingua::Stem::Snowball is an XS module
which provides a Perl interface to the C version of the Snowball stemmers.
(the http://snowball.tartarus.org manpage).

Supported Languages
    The following stemmers are available (as of Lingua::Stem::Snowball
    0.95):

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.952.0-7.mga4
+ Revision: 524399
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.952.0-6.mga4
+ Revision: 430772
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.952.0-5.mga3
+ Revision: 369065
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.952.0-4.mga3
+ Revision: 250852
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.952.0-3.mga2
+ Revision: 104727
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.952.0-2.mga1
+ Revision: 30692
- mageia rebuild
- imported package perl-Lingua-Stem-Snowball

